<?php
$veza_sa_bazom=mysqli_connect ('localhost', 'root', '');
if ($veza_sa_bazom){echo "uspesno povezivanje na server<br/>";}
$brisanje_baze_upit="DROP DATABASE IF EXISTS lte"; // obrisi bazu lte, ukoliko ona postoji
if (mysqli_query($veza_sa_bazom,$brisanje_baze_upit)) {echo "baza je uspesno obrisana</br>";};
$kreiranje_baze_upit="CREATE DATABASE IF NOT EXISTS lte DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci"; // ukoliko baza ne postoji, napravi je
mysqli_query($veza_sa_bazom,$kreiranje_baze_upit);


//  napravi tabelu prezentacija sa poljima, id,putanja do tekst fajla i do slike
$kreiranje_tabele_prezentacija_upit = <<<EOT
CREATE TABLE prezentacija(
ID INT(2) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
tekst1 VARCHAR(256) CHARACTER SET utf8  NOT NULL,
tekst2 VARCHAR(256) CHARACTER SET utf8  NOT NULL,
slika1 VARCHAR(256) CHARACTER SET utf8 NOT NULL,
slika2 VARCHAR(256) CHARACTER SET utf8 NOT NULL
)
EOT;
mysqli_select_db($veza_sa_bazom,'lte'); // biramo bazu lte
mysqli_query($veza_sa_bazom,$kreiranje_tabele_prezentacija_upit);
$popuni_tabelu_prezentacija_upit="INSERT INTO prezentacija(tekst1,tekst2,slika1,slika2)
VALUES
('tekst/sta_je_lte.txt','','slike/lte_dijagram.JPG',''),
('tekst/uvod_i_ciljevi1.txt','tekst/uvod_i_ciljevi2.txt','slike/image1.JPG','slike/image2.JPG'),
('tekst/frekvencijski_opsezi.txt','tekst/tabela1.txt','tekst/tabela11.txt',''),
('tekst/tehnicke_karakteristike1.txt', 'tekst/tehnicke_karakteristike2.txt', 'slike/slika3.JPG','slike/slika4.JPG'),
('tekst/tabela2.txt','tekst/tabela3.txt','', ''),
('tekst/lte_uplink.txt', '', 'slike/slika7.JPG', 'slike/slika8.JPG'),
('tekst/lte_downlink1.txt', 'tekst/lte_downlink2.txt', 'slike/slika5.JPG', 'slike/slika6.JPG'),
('tekst/arhitektura_mreze.txt', '', 'slike/slika12.JPG',''),
('tekst/lte_sae1.txt', 'tekst/lte_sae2.txt', 'slike/slika13.JPG', ''),
('tekst/lte_advanced.txt', '', 'slike/image4.JPG', ''),
('tekst/zakljucak1.txt', 'tekst/zakljucak2.txt', 'slike/slika14.JPG', ''),
('tekst/zanimljivosti1.txt', 'tekst/zanimljivosti2.txt', 'slike/image5.JPG', ''),
('slike/telenor.PNG','slike/mts.PNG','slike/4glte.PNG', 'slike/iphone6s.PNG')
";
$rezultat_upita=$veza_sa_bazom->query($popuni_tabelu_prezentacija_upit);

//kviz
$kreiranje_tabele_kviz_upit = <<<EOT
CREATE TABLE kviz(
ID INT(2) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
pitanje VARCHAR(256) CHARACTER SET utf8  NOT NULL,
tacan_odgovor VARCHAR(256) CHARACTER SET utf8  NOT NULL,
netacan_odgovor1 VARCHAR(256) CHARACTER SET utf8  NOT NULL,
netacan_odgovor2 VARCHAR(256) CHARACTER SET utf8  NOT NULL,
netacan_odgovor3 VARCHAR(256) CHARACTER SET utf8  NOT NULL
)
EOT;
if (mysqli_query($veza_sa_bazom, $kreiranje_tabele_kviz_upit)) {
  echo "Tabela kviz je uspesno napravljena<br/>";
}

$popuni_tabelu_kviz_upit = <<<EOT
INSERT INTO kviz(pitanje, tacan_odgovor, netacan_odgovor1, netacan_odgovor2, netacan_odgovor3)
VALUES
('Skraćenica LTE znači:','Long Term Evolution','Last Term Evolution','Low Term Evolution','Less Term EVolution'),
('LTE mreža je:','4G','3G','1G','2G'),
('Koju od navedenih tehnika koristi downlink?','OFDMA','TDM','SC-FDMA','SC-TDM'),
('Najkvalitetnija modulacija je:','64QAM','16QAM','8QAM','QPSK'),
('Tačka pristupa E-UTRAN dela je:','S-GW','P-GW','MME','PCRF'),
('Prve instalacije LTE mreže su u opsegu:','2600 Mhz','1500 Mhz','2200 Mhz','1950 Mhz'),
('Šta je od navedenog sledeći evolutivni korak GPRS jezgra mreže?','LTE SAE','LTE SEA','LTE SAA','LTE SEE'),
('Maksimalno moguć protok na downlinku iznosi:','325,1 Mhz','221,1 Mhz','450,6 Mhz','358,6 Mhz'),
('RB odgovara širini opsega od: ','180 Khz', '200 Khz', '190 Khz','210 Khz'),
('RB se dodeljuju u intervalima od :','1ms','2ms','3ms','10ms'),
('Maksimalno moguć protok na uplinku iznosi:','86 400 Khz','43 200 Khz','12 810 Khz','56 600 Khz'),
('SCGW je skraćenica od:','Serving Gateway','Selling Gateway','Standing Gateway','Static Gateway')
EOT;
if (mysqli_query($veza_sa_bazom, $popuni_tabelu_kviz_upit)) {
  echo "Tabela kviz je uspesno popunjena<br/>";
}

mysqli_close($veza_sa_bazom); // zatvorimo vezu sa serverom

?>

