<?php

global $veza_sa_bazom; // pravi se u index.php
$kviz_upit = "SELECT * FROM kviz"; // upit za podatke iz tabele kviz
$rezultat_upita = mysqli_query($veza_sa_bazom, $kviz_upit);
$pitanja = array(); // sadrzi pitanja za kviz
$odgovori = array(); // sadrzi odgovore za kviz

// popunjavamo sva pitanja i odgovore
while ($red_tabele = mysqli_fetch_assoc($rezultat_upita)) {
  // biramo nasumice 2 od 3 ponudjena netacna odgovora iz baze
  // tako sto pomesamo indekse 1, 2 i 3 i uzmemo prva dva
  $indeks = range(1, 3);
  shuffle($indeks);
  // ponudeni su jedan tacan i dva netacna odgovora
  $ponudjeni_odgovori = array($red_tabele['tacan_odgovor'], $red_tabele['netacan_odgovor'.$indeks[0]], $red_tabele['netacan_odgovor'.$indeks[1]]);
  // pomesamo ponudjene odgovore tako da je redosled uvek razlicit
  shuffle($ponudjeni_odgovori);

  $pitanja[] = array(
    'ID' => $red_tabele['ID'],
    'pitanje' => $red_tabele['pitanje'],
    'ponudjeni_odgovori' => $ponudjeni_odgovori
  );
  $odgovori[$red_tabele['ID']] = array(
    'ID' => $red_tabele['ID'],
    'pitanje' => $red_tabele['pitanje'],
    'tacan_odgovor' => $red_tabele['tacan_odgovor']
  );
} // dohvatanje redova iz tabele koji zadovoljava upit iznad
// pomesamo sva pitanja tako da redosled nikada nije isti
shuffle($pitanja);
$br_pitanja = 10; // broj pitanja koji prikazujemo na stranici

if (isset($_REQUEST['kviz'])) { // ako je korisnik odgovorio na pitanja ispisujemo ih i odgovore sa indikatorom da li su tacni
?>
  <ol>
<?php
  // var_dump($_REQUEST); // Sta je korisnik odgovorio
  $br_tacnih = 0;
  for($i = 0; $i < $br_pitanja; $i++) {
    $id_pitanja = $_REQUEST[$i];
?>
    <li><?php echo $odgovori[$id_pitanja]['pitanje']; ?></li><br/>
<?php
    $korisnikov_odgovor = $_REQUEST['pitanje'.$id_pitanja];
    if (isset($_REQUEST['pitanje'.$id_pitanja]) && $_REQUEST['pitanje'.$id_pitanja] == $odgovori[$id_pitanja]['tacan_odgovor']) {
      echo "<b>$korisnikov_odgovor</b>, Tacno<br/>";
      $br_tacnih++;
    } else {
      echo "<b>$korisnikov_odgovor</b>, Netacno<br/>";
    }
  }
?>
  </ol>
<?php
  echo "Broj tacnih odgovora je: " . $br_tacnih . "/" . $br_pitanja . "<br>";
} else {
?>

<form action="" method="post">
  <ol>
    <?php
      // pravimo formu od samo prvih $br_pitanja nasumicnih pitanja iz baze
      // i za svako ispisemo pitanje i nasumice poredjane ponudjene odgovore
      // medju kojima su dva nasumice odabrana netacna odgovora od tri iz baze
      // i jedan tacan
      for ($i = 0; $i < $br_pitanja; $i++) {
        $pitanje = $pitanja[$i];
    ?>
    <li><?php echo $pitanje['pitanje']; ?></li><br/>
      <input type="hidden" name="<?php echo $i; ?>" value="<?php echo $pitanje['ID']; ?>">
      <?php
        foreach ($pitanje['ponudjeni_odgovori'] as $ponudjeni_odgovor) {
      ?>
        <input type="radio" name="pitanje<?php echo $pitanje['ID']; ?>" value="<?php echo $ponudjeni_odgovor; ?>"><?php echo $ponudjeni_odgovor; ?><br>
    <?php
        }
      }
    ?>
  </ol>
  <input type='submit' name="kviz" value='Kraj'>
</form>
<?php
}
?>