-- phpMyAdmin SQL Dump
-- version 4.1.14
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Aug 12, 2016 at 10:32 PM
-- Server version: 5.6.17
-- PHP Version: 5.5.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `lte`
--
CREATE DATABASE IF NOT EXISTS `lte` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `lte`;

-- --------------------------------------------------------

--
-- Table structure for table `kviz`
--

DROP TABLE IF EXISTS `kviz`;
CREATE TABLE IF NOT EXISTS `kviz` (
  `ID` int(2) unsigned NOT NULL AUTO_INCREMENT,
  `pitanje` varchar(256) NOT NULL,
  `tacan_odgovor` varchar(256) NOT NULL,
  `netacan_odgovor1` varchar(256) NOT NULL,
  `netacan_odgovor2` varchar(256) NOT NULL,
  `netacan_odgovor3` varchar(256) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

--
-- Dumping data for table `kviz`
--

INSERT INTO `kviz` (`ID`, `pitanje`, `tacan_odgovor`, `netacan_odgovor1`, `netacan_odgovor2`, `netacan_odgovor3`) VALUES
(1, 'SkraÄ‡enica LTE znaÄi:', 'Long Term Evolution', 'Last Term Evolution', 'Low Term Evolution', 'Less Term EVolution'),
(2, 'LTE mreÅ¾a je:', '4G', '3G', '1G', '2G'),
(3, 'Koju od navedenih tehnika koristi downlink?', 'OFDMA', 'TDM', 'SC-FDMA', 'SC-TDM'),
(4, 'Najkvalitetnija modulacija je:', '64QAM', '16QAM', '8QAM', 'QPSK'),
(5, 'TaÄka pristupa E-UTRAN dela je:', 'S-GW', 'P-GW', 'MME', 'PCRF'),
(6, 'Prve instalacije LTE mreÅ¾e su u opsegu:', '2600 Mhz', '1500 Mhz', '2200 Mhz', '1950 Mhz'),
(7, 'Å ta je od navedenog sledeÄ‡i evolutivni korak GPRS jezgra mreÅ¾e?', 'LTE SAE', 'LTE SEA', 'LTE SAA', 'LTE SEE'),
(8, 'Maksimalno moguÄ‡ protok na downlinku iznosi:', '325,1 Mhz', '221,1 Mhz', '450,6 Mhz', '358,6 Mhz'),
(9, 'RB odgovara Å¡irini opsega od: ', '180 Khz', '200 Khz', '190 Khz', '210 Khz'),
(10, 'RB se dodeljuju u intervalima od :', '1ms', '2ms', '3ms', '10ms'),
(11, 'Maksimalno moguÄ‡ protok na uplinku iznosi:', '86 400 Khz', '43 200 Khz', '12 810 Khz', '56 600 Khz'),
(12, 'SCGW je skraÄ‡enica od:', 'Serving Gateway', 'Selling Gateway', 'Standing Gateway', 'Static Gateway');

-- --------------------------------------------------------

--
-- Table structure for table `prezentacija`
--

DROP TABLE IF EXISTS `prezentacija`;
CREATE TABLE IF NOT EXISTS `prezentacija` (
  `ID` int(2) unsigned NOT NULL AUTO_INCREMENT,
  `tekst1` varchar(256) NOT NULL,
  `tekst2` varchar(256) NOT NULL,
  `slika1` varchar(256) NOT NULL,
  `slika2` varchar(256) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=14 ;

--
-- Dumping data for table `prezentacija`
--

INSERT INTO `prezentacija` (`ID`, `tekst1`, `tekst2`, `slika1`, `slika2`) VALUES
(1, 'tekst/sta_je_lte.txt', '', 'slike/lte_dijagram.JPG', ''),
(2, 'tekst/uvod_i_ciljevi1.txt', 'tekst/uvod_i_ciljevi2.txt', 'slike/image1.JPG', 'slike/image2.JPG'),
(3, 'tekst/frekvencijski_opsezi.txt', 'tekst/tabela1.txt', 'tekst/tabela11.txt', ''),
(4, 'tekst/tehnicke_karakteristike1.txt', 'tekst/tehnicke_karakteristike2.txt', 'slike/slika3.JPG', 'slike/slika4.JPG'),
(5, 'tekst/tabela2.txt', 'tekst/tabela3.txt', '', ''),
(6, 'tekst/lte_uplink.txt', '', 'slike/slika7.JPG', 'slike/slika8.JPG'),
(7, 'tekst/lte_downlink1.txt', 'tekst/lte_downlink2.txt', 'slike/slika5.JPG', 'slike/slika6.JPG'),
(8, 'tekst/arhitektura_mreze.txt', '', 'slike/slika12.JPG', ''),
(9, 'tekst/lte_sae1.txt', 'tekst/lte_sae2.txt', 'slike/slika13.JPG', ''),
(10, 'tekst/lte_advanced.txt', '', 'slike/image4.JPG', ''),
(11, 'tekst/zakljucak1.txt', 'tekst/zakljucak2.txt', 'slike/slika14.JPG', ''),
(12, 'tekst/zanimljivosti1.txt', 'tekst/zanimljivosti2.txt', 'slike/image5.JPG', ''),
(13, 'slike/telenor.PNG', 'slike/mts.PNG', 'slike/4glte.PNG', 'slike/iphone6s.PNG');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
